echo off
cls
echo =====================================================
echo   ICOM CS-2100 HARD DISK INSTALLATION PROGRAM
echo =====================================================
if not "%1" == "" goto START
echo  Usage: To install the CS-2100 cloning software to
echo         C:\ICOM\CS2100 directory while the program
echo         disk is in drive A.  Type as follows:
echo\
echo         A:\INSTALL A: C:\ICOM\CS2100  [Enter]
echo\
echo    The specified directory is created if it does
echo    not already exist.
echo =====================================================
goto EOB
:START
if not exist %1\CS2100\CS2100SU.BAT goto ERR1
%1\DIRUT -e %2 > NUL
if errorlevel 6 goto START1
%1\DIRUT -e %2\.. > NUL
if errorlevel 6 goto ERR2
goto SETUP
:START1
%1\DIRUT -m %2
if errorlevel 1 goto ERR2
:SETUP
%1\DIRUT -e %2 > NUL
if errorlevel 6 goto ERR2
copy %1\CS2100\*.* %2\*.*
if not exist %2\CS2100SU.BAT goto ERR3
echo\
echo =====================================================
echo   CS-2100 installation has been finished.
echo =====================================================
echo   Starting CS-2100
echo     (1) Change to %2 directory.
echo     (2) Type CS2100  [Enter]
echo =====================================================
echo\
echo   CS-2100 is now running.
echo\
pause
%1\DIRUT -c %2
CS2100SU
goto EOB
:ERR1
echo\
echo  Error: The program disk is not in %1 drive.
goto EOB
:ERR2
echo\
echo  Error: Cannot create the %2 directory.
goto EOB
:ERR3
echo\
echo  Error: File copying failed. 
goto EOB
:EOB
echo\
